Ankündigung

Einklappen
Keine Ankündigung bisher.

- √ - Min / Max Werte

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    [Featurewunsch] - √ - Min / Max Werte

    Hallo,

    meine "next wg plugin to migrate" Liste wird kürzer, aber da steht jetzt ein:
    "Minimum + Maximum der letzten 20 h Aussentemperatur"
    auf dem Programm.

    Im WG wurde das per rrdtool gemacht, in dem die Daten ausgelesen und ausgewertet wurden. Generell könnte man das auch einem rrdtool mit PRINT überlassen.
    Wäre vl. noch was generischeres in python selber denkbar?

    Gruß
    Derzeit zwischen Kistenauspacken und Garten anlegen.
    Baublog im Profil.

    #2
    Hi,

    ich bin da gerade an etwas dran was Dir helfen kann.

    Mehr dazu demnächst.

    Bis bald

    Marcus

    Kommentar


      #3
      ich habe die git liste im auge
      Derzeit zwischen Kistenauspacken und Garten anlegen.
      Baublog im Profil.

      Kommentar


        #4
        Im Grunde wäre ja schone eine Erweiterung der rrd function
        sh.item.average(frame)
        eine Lösung.
        Also neben average halt auch max und min.
        Vl. probier ich mich da mal selber...
        Derzeit zwischen Kistenauspacken und Garten anlegen.
        Baublog im Profil.

        Kommentar


          #5
          Hi,

          ich habe gerade das sqlite plugin eincheckt. Es soll als Alternative zu dem RRD Plugin dienen.
          Die API des SQLite-Plugins möchte ich auch für das RRD Plugin übernehmen.
          Damit wird _viel_ erschlagen.

          Bis bald

          Marcus

          Kommentar


            #6
            Sieht interessant aus. Einen Tick mehr comments im Code würden das Leben vereinfachen
            Derzeit zwischen Kistenauspacken und Garten anlegen.
            Baublog im Profil.

            Kommentar


              #7
              Eingebaut...
              Derzeit zwischen Kistenauspacken und Garten anlegen.
              Baublog im Profil.

              Kommentar


                #8
                Guten Abend

                Wenn man das sqlite plugin verwenden will braucht man wohl auch auch sqlite selber. Da finde ich in den raspbian Repositories 2 Versionen. sqlite und sqlite3. welche wäre die richtige, oder ist das egal?

                Gruß, Martin

                Kommentar


                  #9
                  Hallo Martin,

                  nein sqlite ist Bestandteil von Python ab 2.5 . Man muss nicht zusätzlich installieren.

                  Bis bald

                  Marcus

                  P.S. Release und Doku kommen bald.

                  Kommentar


                    #10
                    Genial!

                    Gruß, Martin

                    Kommentar

                    Lädt...
                    X